Ask Your Question
0

Can not find suitable module for the given component

asked 2017-08-26 17:03:13 +0200

catbill gravatar image

updated 2017-08-27 17:14:19 +0200

When I tried to print an article from Writer Help, I got this error. There are a few online questions about this error but none have been answered. Running Windows 10, LibreOffice version 5.3.4.2 (x64). I have not knowingly made any changes to the installation.

edit retag flag offensive close merge delete

Comments

I see the error message, if I start LibreOffice with parameter -env:UserInstallation. Do you use any parameter when starting LibreOffice?

Regina gravatar imageRegina ( 2017-08-26 21:26:12 +0200 )edit

This error message comes from the ModuleManager, see OpenGrok.

It looks like it tries to identify the Help window as a separate Office module, but the ModuleManager has no element for it.

librebel gravatar imagelibrebel ( 2017-08-27 03:27:42 +0200 )edit

FormDesign ViewDesign BasicIDE QueryDesign TableDesign WebDocument StartModule TableDataView TextDocument Bibliography RelationDesign GlobalDocument ChartDocument TextReportDesign DataSourceBrowser XMLFormDocument DrawingDocument ReportDefinition FormulaProperties SpreadsheetDocument OfficeDatabaseDocument PresentationDocument

librebel gravatar imagelibrebel ( 2017-08-27 03:29:01 +0200 )edit

Regina, Thanks for weighing in. I don't start LibreOffice with any parameter. Librebel, Would you mind providing an English translation of what this means and what can be done about it? Thanks.

catbill gravatar imagecatbill ( 2017-08-27 04:30:42 +0200 )edit

Pardon me, my previous comment is a list of all elements that are supported by the com.sun.star.frame.ModuleManager.

As you can see there is no element listed for the Help component. It's probably not any information that you can use now to solve your problem, just trying to find out what could be the cause..

librebel gravatar imagelibrebel ( 2017-08-27 04:56:54 +0200 )edit

My case is in now in https://bugs.documentfoundation.org/s.... @catbill: Please specify your operating system, the exact LO version (see Help>About) and whether you have made any differences compared to the default installation. You can add these to your original question.

Regina gravatar imageRegina ( 2017-08-27 13:08:36 +0200 )edit

Thanks, Librebel and Regina. I have added installation information to the question.

catbill gravatar imagecatbill ( 2017-08-27 17:15:29 +0200 )edit

Does anyone have a solution to this problem in case it happens again?

catbill gravatar imagecatbill ( 2017-09-10 19:40:04 +0200 )edit

Please try printing from the context menu of the help window. That seems to be more reliable than the button.

Regina gravatar imageRegina ( 2017-09-11 01:53:25 +0200 )edit

Regina, If you post your comment as an answer, I would be happy to mark it as an answer.

catbill gravatar imagecatbill ( 2017-09-11 04:01:53 +0200 )edit

1 Answer

Sort by » oldest newest most voted
1

answered 2017-09-11 10:15:16 +0200

Regina gravatar image

Try printing from the context menu of the help window. That seems to be more reliable than the button.

edit flag offensive delete link more
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2017-08-26 17:03:13 +0200

Seen: 65 times

Last updated: Sep 11 '17